/*
 * This file is part of the ESO UVES Pipeline
 * Copyright (C) 2004,2005 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
 */
/*
 * $Author: amodigli $
 * $Date: 2010/09/24 09:31:26 $
 * $Revision: 1.3 $
 * $Name: uves-4_9_1 $
 * $Log: flames_Opt_Extract.h,v $
 * Revision 1.3  2010/09/24 09:31:26  amodigli
 * put back QFITS dependency to fix problem spot by NRI on FIBER mode (with MIDAS calibs) data
 *
 * Revision 1.1  2007/07/30 09:04:38  amodigli
 * added to repository (removed from flames-uves.h)
 *
 * Revision 1.1  2007/07/27 06:44:09  amodigli
 * added to repository
 *
 */

#ifndef FLAMES_OPT_EXTRACT_H
#define FLAMES_OPT_EXTRACT_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include<flames_uves.h>
/* 
   ------------------------------------------------
   The following function is used in the optimal extraction procedure
   ------------------------------------------------
*/

/* 
   The following function does the raw optimal extraction giving as its 
   result the optimally extracted spectrum of all fibres for one order at time
*/
flames_err 
Opt_Extract(flames_frame *, 
            allflats *, 
            orderpos *, 
            long int, 
            long int, 
        long int, 
            frame_mask **, 
            double **, 
            double **, 
        long int, 
            long int *, 
            long int*, 
            long int*, 
        frame_data **, 
            long int);


#endif
