/* $Id: irplib_plot.h,v 1.12 2009/05/12 13:06:43 llundin Exp $
 *
 * This file is part of the irplib package
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
 */

/*
 * $Author: llundin $
 * $Date: 2009/05/12 13:06:43 $
 * $Revision: 1.12 $
 * $Name: uves-4_9_1 $
 */

#ifndef IRPLIB_PLOT_H
#define IRPLIB_PLOT_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

/*-----------------------------------------------------------------------------
                                   Defines
 -----------------------------------------------------------------------------*/

#define irplib_plot_manpage                                     \
    "The recipe can produce a number of predefined plots. "     \
    "Zero means that none of the plots are produced, while "    \
    "increasing values (e.g. 1 or 2) increases the number "     \
    "of plots produced. If the plotting fails a warning is "    \
    "produced, and the recipe continues. "                      \
    "The default behaviour of the plotting is to use "          \
    "gnuplot (with option -persist). The recipe currently "     \
    "produces 1D-plots using gnuplot commands. The recipe "     \
    "user can control the actual plotting-command used by "     \
    "the recipe to create the plot by setting the "             \
    "environment variable CPL_PLOTTER. Currently, if "          \
    "CPL_PLOTTER "                                              \
    "is set it must contain the string 'gnuplot'. Setting "     \
    "it to 'cat > my_gnuplot_$$.txt' causes a number of "       \
    "ASCII-files to be created, which each produce a plot "     \
    "when given as standard input to gnuplot (e.g. later "      \
    "or on a different computer). A finer control of the "      \
    "plotting options can be obtained by writing an "           \
    "executable script, e.g. my_gnuplot.pl, that "              \
    "executes gnuplot after setting the desired gnuplot "       \
    "options (e.g. set terminal pslatex color) "                \
    "and then setting CPL_PLOTTER to my_gnuplot.pl. "           \
    "The predefined plots include plotting of images. "         \
    "Images can be plotted not only with gnuplot, but also "    \
    "using the pnm format. This is controlled with the "        \
    "environment variable CPL_IMAGER. If CPL_IMAGER "           \
    "is set to a string that does not contain the word "        \
    "gnuplot, the recipe will generate the plot in pnm "        \
    "format. E.g. setting CPL_IMAGER to "                       \
    "'display - &' will produce a gray-scale image "            \
    "using the image viewer display."


#define irplib_vector_plot cpl_plot_vector
#define irplib_vectors_plot cpl_plot_vectors
#define irplib_table_plot cpl_plot_column
#define irplib_bivector_plot cpl_plot_bivector
#define irplib_bivectors_plot cpl_plot_bivectors
#define irplib_image_plot cpl_plot_image
#define irplib_image_row_plot cpl_plot_image_row
#define irplib_image_col_plot cpl_plot_image_col

#endif
